> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/payment/{id}



## OpenAPI

````yaml GET /v2/payment/{id}
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/payment/{id}:
    get:
      tags:
        - payment
      summary: Get payment by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Payment ID
      responses:
        '200':
          description: Payment details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFoundPayment'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentResponse:
      type: object
      properties:
        id:
          type: integer
        uuid:
          type: string
        status:
          type: string
        type:
          type: string
        fee:
          type: object
          properties:
            amount:
              type: number
            currencyId:
              type: string
        amount:
          type: number
        total:
          type: number
        counterparty:
          type: object
          properties:
            name:
              type: string
            accountHolderName:
              type: string
            bic:
              type: string
            iban:
              type: string
        beneficiaryId:
          type: integer
        walletId:
          type: integer
        walletUuid:
          type: string
        icon:
          type: string
        entity:
          type: string
        currencyId:
          type: string
        currencyExchangeId:
          type: integer
        currencyExchangeUuid:
          type: string
        reference:
          type: string
        transactionAmount:
          type: number
        transactionCurrencyId:
          type: string
        transactionExchangeRate:
          type: string
        retrievalReferenceNumber:
          type: string
        rejectReason:
          type: string
        purposeCode:
          type: object
          properties:
            code:
              type: string
            purpose:
              type: string
        operationType:
          type: string
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
        completedAt:
          type: integer
          format: int64
        permissions:
          type: object
          properties:
            canCancel:
              type: boolean
            canSign:
              type: boolean
            canDelete:
              type: boolean
            canDownloadConfirmation:
              type: boolean
        currency:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
        currencyExchange:
          type: object
          properties:
            id:
              type: integer
            uuid:
              type: string
            status:
              type: string
            debitCurrencyId:
              type: string
            creditCurrencyId:
              type: string
            debitAmount:
              type: number
            creditAmount:
              type: number
            fee:
              type: number
            total:
              type: number
            rate:
              type: number
            createdAt:
              type: integer
            createdAtMs:
              type: integer
              format: int64
            updatedAtMs:
              type: integer
              format: int64
            completedAt:
              type: integer
        merchant:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            externalId:
              type: string
            categoryCode:
              type: string
            categoryName:
              type: string
            groupId:
              type: string
            groupName:
              type: string
            address:
              type: string
            url:
              type: string
            domain:
              type: string
            phone:
              type: string
            iconUrl:
              type: string
        card:
          type: object
          properties:
            id:
              type: integer
            maskedNumber:
              type: string
        cardholder:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            channel:
              type: string
            cardNumber:
              type: string
        files:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
              url:
                type: string
              originalName:
                type: string
      example:
        id: 0
        uuid: string
        status: new
        type: string
        fee:
          amount: 0
          currencyId: str
        amount: 0
        total: 0
        counterparty:
          name: string
          accountHolderName: string
          bic: string
          iban: string
        beneficiaryId: 0
        walletId: 0
        walletUuid: string
        icon: CONVERT
        entity: PAYMENT
        currencyId: str
        currencyExchangeId: 0
        currencyExchangeUuid: string
        reference: string
        transactionAmount: 0
        transactionCurrencyId: str
        transactionExchangeRate: string
        retrievalReferenceNumber: string
        rejectReason: string
        purposeCode:
          code: string
          purpose: string
        operationType: MAIN
        createdAt: 1666666666999
        updatedAt: 1666666666999
        completedAt: 1667404598000
        permissions:
          canCancel: true
          canSign: true
          canDelete: true
          canDownloadConfirmation: true
        currency:
          id: string
          name: str
        currencyExchange:
          id: 0
          uuid: string
          status: NEW
          debitCurrencyId: EUR
          creditCurrencyId: USD
          debitAmount: 0
          creditAmount: 0
          fee: 0
          total: 0
          rate: 0
          createdAt: 1667404598
          createdAtMs: 1666666666999
          updatedAtMs: 1666666666999
          completedAt: 1667404598
        merchant:
          id: 0
          name: string
          externalId: string
          categoryCode: stri
          categoryName: string
          groupId: string
          groupName: string
          address: string
          url: https://ebay.com
          domain: ebay.com
          phone: 0800 358 6551
          iconUrl: >-
            https://ir.ebaystatic.com/pictures/aw/pics/announcements/new/logo/logo-inline.png
        card:
          id: 0
          maskedNumber: string
        cardholder:
          id: 0
          name: string
          channel: VISA
          cardNumber: string
        files:
          - name: 5fb3ea0c68147.png
            type: invoice
            url: https://website.com/v1/payment/100/download/5fb3ea0c68147.pdf
            originalName: test.jpg
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    NotFoundPayment:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: Page not found.
              code:
                type: integer
                example: 0
              status:
                type: integer
                example: 404
              type:
                type: string
                example: yii\web\NotFoundHttpException
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````